<?php
/**
 * @var VkCommerce_Admin_Page_Tab[] $tabs
 * @var VkCommerce_Admin_Page_Tab $current_tab
 * @var string $current_section_id
 * @var array $sections
 */
?>
<h3><?php _e( 'VKontakte products publishing', 'vkcommerce' ); ?></h3>
<p>
	<?php _e( 'VKontakte products is a showcase with goods and services in your VKontakte group.', 'vkcommerce' ); ?>
	<?php _e( 'Existing online stores will be able to attract new customers with the help of this service.', 'vkcommerce' ); ?>
	<?php _e( 'You add products with photos, prices and detailed descriptions on the website, and they are published in the VKontakte catalog, expanding the audience of buyers through users of this social network.', 'vkcommerce' ); ?>
</p>

<h3><?php _e( 'Product requirements', 'vkcommerce' ); ?></h3>
<p>
	<?php _e( 'A product can be published VKontakte if the following requirements are met:', 'vkcommerce' ); ?>
</p>
<ul class="vkcommerce-list">
	<li><?php _e( 'product type is "Simple" or "External"', 'vkcommerce' ); ?></li>
	<li><?php _e( 'product is published on the site', 'vkcommerce' ); ?></li>
	<li><?php _e( 'product has a main photo', 'vkcommerce' ); ?></li>
	<li><?php _e( 'product main photo is valid (JPG, PNG or GIF, minimum photo size is 400px x 400px, the sum of the height and width is no more than 14000px, the file size is no more than 50 MB, the aspect ratio is at least 1:20)', 'vkcommerce' ); ?></li>
	<li><?php _e( 'VKontakte category is defined for product', 'vkcommerce' ); ?></li>
	<li><?php _e( 'product description length is at least 10 characters', 'vkcommerce' ); ?></li>
</ul>

<h3><?php _e( 'Basic steps', 'vkcommerce' ); ?></h3>
<ol>
	<li><?php _e( 'set up API integration', 'vkcommerce' ); ?></li>
	<li><?php _e( 'set up products publishing', 'vkcommerce' ); ?></li>
	<li><?php _e( 'associate the site categories with VKontakte categories', 'vkcommerce' ); ?></li>
	<li><?php _e( 'start products publishing', 'vkcommerce' ); ?></li>
</ol>

<h3><?php _e( 'Recommendations', 'vkcommerce' ); ?></h3>
<ul class="vkcommerce-list">
	<li><?php _e( 'make sure that all significant categories on the site are associated with VKontakte categories', 'vkcommerce' ); ?></li>
	<li><?php _e( 'make sure the price of the product is specified, otherwise the product will be published as free', 'vkcommerce' ); ?></li>
</ul>
